function [A,F,B1,B2,C,Pv,R,r,V] = simple

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This code computes a determinate system
%
% Ay(t) + FEt[y(t+1)] = B1*y(t-1) + B2*Et-1[y(t)] + Pv*v(t);
% 
% for input into the program FindEquiv.  The example is based on the
% determinate model described in the ECB working paper #277 by Andreas
% Beyer and Roger E. A. Farmer, "On the Indeterminacy of Determinacy and
% Indeterminacy". The file prodeces matrices A,F,mB1,B2,C and Pv for the
% determinate model.  The restriction matrices R and r idfentify an
% equivalent indeterminate model.  The example is the one that is solved by
% hand in our working paper. It can be used to check the output of
% Findequiv.m since the example can be solved by hand.
% 
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Andreas Beyer and Roger E. A. Farmer
% February 2004
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

lam=0.5;thet=1.5;
Pv=[1];
a=1/(thet+lam);
b=lam*thet/(thet+lam);
A=[1];F=[-a];B1=[b];B2=[0];
C=[0];

%    y  Ey' Ly ELy  c  v
R11=[1  0   0   0   0  0];r11=1;
R12=[0  0   1   0   0  0];r12=0;
R1=[R11;R12];
R=[R1 ];
r=[r11;r12];
V=1;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%   END   %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
