function [u1,v1,d11,u2,v2]=svdsims(a)

% Calculates alternative forms of the singular value decomposition
% Andreas Beyer and Roger E. A. Farmer
% February 2004
% a = U*D*V'  AND a=u1*d11*v1'
% U*U'=I
% V*V'=I
% u1*u1'=I
% v1=v1'=I
% U = [u1 u2]
% V = [v1 v2]
% D [d11 0; 0 0];

tiny= 1e-6;
[u,d,v]=svd(a);
r=size(d,1);
c=size(d,2);i=0;
D=d;
if c>r D=D';i=1;end
D=reshape(D,r*c,1);
D=[D;zeros(max(r,c)^2-c*r,1)];
D=reshape(D,max(c,r),max(c,r));
index=find(diag(D)>tiny);
notindex=find(diag(D)<=tiny);

if i==1;D=D';end;
d11=D(index,index);
d12=D(index,notindex);
d21=D(notindex,index);
d22=D(notindex,notindex);

%  Add zeros to u and v 
U=u;V=v;
if c>r U=[U zeros(size(u,1),c-r)];end
if r>c V=[V zeros(size(v,1),r-c)];end

u1=U(:,index);
u2=U(:,notindex);
v1=V(:,index);
v2=V(:,notindex);

